api/urls.py
# -*- coding: utf-8 -*-

# from django.contrib.auth.decorators import login_required
from django.urls import path

from .views import (  # GeoJSONTiledPlaceData,
    ActiveUserAutocomplete,
    AllUserAutocomplete,
    MetaPlaceAutocomplete,
    MunicipalityAutocomplete,
    PlaceAutocomplete,
    StudyAutocomplete,
    TaxaAutocomplete,
    TerritoryAutocomplete,
    metaplaces_as_geojson,
    places_as_geojson,
    places_in_metaplace_as_geojson,
)

# from sights.models import Municipality, Territory


# from djgeojson.views import GeoJSONLayerView


app_name = "general_api"

urlpatterns = [
    # path(
    #     "municipality.geojson",
    #     login_required(
    #         GeoJSONLayerView.as_view(
    #             model=Municipality,
    #             precision=3,
    #             simplify=0.5,
    #             properties=("name", "code"),
    #         )
    #     ),
    #     name="geodata_municipality",
    # ),
    # path(
    #     "territory.geojson",
    #     login_required(
    #         GeoJSONLayerView.as_view(
    #             model=Territory, precision=3, simplify=0.5, properties=("name", "code")
    #         )
    #     ),
    #     name="geodata_territory",
    # ),
    path("place.geojson", places_as_geojson, name="geodata_place"),
    path("metaplaces.geojson", metaplaces_as_geojson, name="geodata_metaplaces"),
    path(
        "metaplaces/places.geojson",
        places_in_metaplace_as_geojson,
        name="geodata_places_in_metaplaces",
    ),
    path(
        "metaplaces/<int:pk>/places.geojson",
        places_in_metaplace_as_geojson,
        name="geodata_place_in_metaplace",
    ),
    # path(
    #     "place/<int:z>/<int:x>/<int:y>",
    #     GeoJSONTiledPlaceData.as_view(),
    #     name="placetiled",
    # ),
    path(
        "active-user-autocomplete/",
        ActiveUserAutocomplete.as_view(),
        name="active_user_autocomplete",
    ),
    path(
        "all-user-autocomplete/",
        AllUserAutocomplete.as_view(),
        name="all_user_autocomplete",
    ),
    path("taxa-autocomplete/", TaxaAutocomplete.as_view(), name="taxa_autocomplete"),
    path(
        "municipality-autocomplete/",
        MunicipalityAutocomplete.as_view(),
        name="municipality_autocomplete",
    ),
    path(
        "territory-autocomplete/",
        TerritoryAutocomplete.as_view(),
        name="territory_autocomplete",
    ),
    path("place-autocomplete/", PlaceAutocomplete.as_view(), name="place_autocomplete"),
    path(
        "metaplace-autocomplete/",
        MetaPlaceAutocomplete.as_view(),
        name="metaplace_autocomplete",
    ),
    path(
        "v1/study/search",
        StudyAutocomplete.as_view(),
        name="study_autocomplete",
    ),
]

dbchiro/urls.py
from django.conf import settings
from django.conf.urls import static
from django.contrib.auth.urls import views
from django.contrib.gis import admin
from django.urls import include, path, re_path
from drf_yasg import openapi
from drf_yasg.views import get_schema_view
from rest_framework import permissions

from dbchiro.settings.base import REGISTRATION_APPROVAL

admin.autodiscover()
admin.site.index_title = "Tables de données"
admin.site.site_header = "Interface de gestion"

schema_view = get_schema_view(
    openapi.Info(
        title="dbChiroWev API",
        default_version="v1",
        description="dbChiro API docs",
        terms_of_service="https://www.google.com/policies/terms/",
        contact=openapi.Contact(email="contact@snippets.local"),
        license=openapi.License(name="AGPL v3"),
    ),
    public=True,
    permission_classes=(permissions.AllowAny,),
)

if REGISTRATION_APPROVAL:
    registration_include = "registration.backends.admin_approval.urls"
else:
    registration_include = "registration.backends.default.urls"

urlpatterns = [
    re_path(
        r"^swagger(?P<format>\.json|\.yaml)$",
        schema_view.without_ui(cache_timeout=0),
        name="schema-json",
    ),
    path(
        "swagger/",
        schema_view.with_ui("swagger", cache_timeout=0),
        name="schema-swagger-ui",
    ),
    path("redoc/", schema_view.with_ui("redoc", cache_timeout=0), name="schema-redoc"),
    path("nested_admin/", include("nested_admin.urls")),
    path(
        "accounts/",
        include(registration_include),
        name="registration",
    ),
    path("password_reset/", views.PasswordResetView.as_view(), name="password_reset"),
    path(
        "password_reset/done/",
        views.PasswordResetDoneView.as_view(),
        name="password_reset_done",
    ),
    re_path(
        r"^reset/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$",
        views.PasswordResetConfirmView.as_view(),
        name="password_reset_confirm",
    ),
    path(
        "reset/done/",
        views.PasswordResetCompleteView.as_view(),
        name="password_reset_complete",
    ),
    path("admin/", admin.site.urls),
    path("admin/doc/", include("django.contrib.admindocs.urls"), name="dbgestion_doc"),
    path("", include("core.urls", namespace="core")),
    path("accounts/", include("accounts.urls", namespace="accounts")),
    path("", include("blog.urls", namespace="blog")),
    path("", include("sights.urls", namespace="sights")),
    path("", include("management.urls", namespace="management")),
    path("", include("dicts.urls", namespace="dicts")),
    # path("", include("metadata.urls", namespace="metadata")),
    path("synthesis/", include("synthesis.urls", namespace="synthesis")),
    path("api/", include("api.urls", namespace="api")),
] + static.static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:
    import debug_toolbar

    urlpatterns = [path("__debug__/", include(debug_toolbar.urls))] + urlpatterns

management/urls.py
from django.urls import path

from .regulatory.views import CatchAuthCreate, CatchAuthDelete, CatchAuthList, CatchAuthUpdate
from .study.api import StudyDatasApi, StudyListApi
from .study.views import StudyCreate, StudyDelete, StudyDetail, StudyList, StudyUpdate
from .transmitter.api import TransmitterSearchApi
from .transmitter.views import (
    TransmitterCreate,
    TransmitterDelete,
    TransmitterList,
    TransmitterUpdate,
)

app_name = "management"

urlpatterns = [
    # Study relative URLS
    path("study/add", StudyCreate.as_view(), name="study_create"),
    path("study/<int:pk>/update", StudyUpdate.as_view(), name="study_update"),
    path("study/<int:pk>/delete", StudyDelete.as_view(), name="study_delete"),
    path("study/list", StudyList.as_view(), name="study_list"),
    path("api/v1/study/list", StudyListApi.as_view(), name="api_study_list"),
    path("study/list/<int:page>", StudyList.as_view(), name="url_study_list"),
    path("study/<int:pk>/detail", StudyDetail.as_view(), name="url_study_detail"),
    # path(
    #     "api/v1/study/<int:pk>/observations",
    #     StudySightingsApi.as_view(),
    #     name="api_study_sightings",
    # ),
    path("api/v1/study/<int:pk>/datas", StudyDatasApi.as_view(), name="api_study_data"),
    # Transmitter relative URLS
    path("transmitter/add", TransmitterCreate.as_view(), name="transmitter_create"),
    path(
        "transmitter/<int:pk>/update",
        TransmitterUpdate.as_view(),
        name="transmitter_update",
    ),
    path(
        "transmitter/<int:pk>/delete",
        TransmitterDelete.as_view(),
        name="transmitter_delete",
    ),
    path("transmitter/list", TransmitterList.as_view(), name="transmitter_list"),
    path(
        "transmitter/list/<int:page>",
        TransmitterList.as_view(),
        name="url_transmitter_list",
    ),
    path(
        "api/v1/transmitter/search",
        TransmitterSearchApi.as_view(),
        name="transmitter_search_api",
    ),
    # CatchAuth relative URLS
    path("catchauth/add", CatchAuthCreate.as_view(), name="catchauth_create"),
    path("catchauth/<int:pk>/update", CatchAuthUpdate.as_view(), name="catchauth_update"),
    path("catchauth/<int:pk>/delete", CatchAuthDelete.as_view(), name="catchauth_delete"),
    path("catchauth/list", CatchAuthList.as_view(), name="catchauth_list"),
    path("catchauth/list/<int:page>", CatchAuthList.as_view(), name="url_catchauth_list"),
]

sights/countdetail/urls.py
from django.urls import path

from sights.countdetail.views import CountDetailCreate, CountDetailDelete, CountDetailUpdate

urlpatterns = [
    path(
        "sighting/<int:pk>/countdetail/add",
        CountDetailCreate.as_view(),
        name="countdetail_create",
    ),
    path(
        "countdetail/<int:pk>/update",
        CountDetailUpdate.as_view(),
        name="countdetail_update",
    ),
    path(
        "countdetail/<int:pk>/delete",
        CountDetailDelete.as_view(),
        name="countdetail_delete",
    ),
]

sights/metaplace/urls.py
from django.urls import path

from sights.metaplace.api import GeoJSONBBoxFilteredMetaPlaces, GeoJSONMetaPlaces
from sights.metaplace.views import (
    MetaPlaceCreate,
    MetaPlaceDelete,
    MetaPlaceDetail,
    MetaPlaceList,
    MetaPlaceUpdate,
)

urlpatterns = [
    path("metaplace/add", MetaPlaceCreate.as_view(), name="metaplace_create"),
    path("metaplace/search", MetaPlaceList.as_view(), name="metaplace_search"),
    path("metaplace/<int:pk>/detail", MetaPlaceDetail.as_view(), name="metaplace_detail"),
    path("metaplace/<int:pk>/update", MetaPlaceUpdate.as_view(), name="metaplace_update"),
    path("metaplace/<int:pk>/delete", MetaPlaceDelete.as_view(), name="metaplace_delete"),
    path("metaplace/api/search", GeoJSONMetaPlaces.as_view(), name="metaplace_search_api"),
    path(
        "metaplace/bbox/api/search",
        GeoJSONBBoxFilteredMetaPlaces.as_view(),
        name="metaplace_bbox_search_api",
    ),
    path(
        "metaplace/api/search",
        GeoJSONMetaPlaces.as_view(),
        name="metaplace_search_api",
    ),
]

sights/place/urls.py
from django.contrib.auth.decorators import login_required
from django.urls import path
from django.views.generic import TemplateView

from sights.place.api import GeoJSONBBoxFilteredPlaces, GeoJSONPlaces
from sights.place.views import (
    BridgeCreate,
    BridgeDelete,
    BridgeUpdate,
    BuildCreate,
    BuildDelete,
    BuildUpdate,
    CaveCreate,
    CaveDelete,
    CaveUpdate,
    PlaceCreate,
    PlaceDelete,
    PlaceDetail,
    PlaceList,
    PlaceManagementCreate,
    PlaceManagementDelete,
    PlaceManagementUpdate,
    PlaceUpdate,
    TreeCreate,
    TreeDelete,
    TreeDetail,
    TreeGiteCreate,
    TreeGiteDelete,
    TreeGiteUpdate,
    TreeUpdate,
)

# router = routers.DefaultRouter()
# router.register(r"search", GeoJSONPlaces, "place_search")

urlpatterns = [
    # url de recherches de localités
    path("place/search", PlaceList.as_view(), name="place_search"),
    # Place views
    path(
        "place/map",
        login_required(TemplateView.as_view(template_name="place_map.html")),
        name="place_map",
    ),
    path("place/add", PlaceCreate.as_view(), name="place_create"),
    path(
        "metaplace/<int:pk>/place/add",
        PlaceCreate.as_view(),
        name="metaplace_place_create",
    ),
    path("place/<int:pk>/detail", PlaceDetail.as_view(), name="place_detail"),
    path("place/<int:pk>/update", PlaceUpdate.as_view(), name="place_update"),
    path("place/<int:pk>/delete", PlaceDelete.as_view(), name="place_delete"),
    # Place management relative URLS
    path(
        "place/<int:pk>/management/add",
        PlaceManagementCreate.as_view(),
        name="management_create",
    ),
    path(
        "management/<int:pk>/update",
        PlaceManagementUpdate.as_view(),
        name="management_update",
    ),
    path(
        "management/<int:pk>/delete",
        PlaceManagementDelete.as_view(),
        name="management_delete",
    ),
    # Build views
    path("place/<int:pk>/build/add", BuildCreate.as_view(), name="build_create"),
    path("build/<int:pk>/update", BuildUpdate.as_view(), name="build_update"),
    path("build/<int:pk>/delete", BuildDelete.as_view(), name="build_delete"),
    # Tree views
    path("place/<int:pk>/tree/add", TreeCreate.as_view(), name="tree_create"),
    path("tree/<int:pk>/update", TreeUpdate.as_view(), name="tree_update"),
    path("tree/<int:pk>/delete", TreeDelete.as_view(), name="tree_delete"),
    path("tree/<int:pk>/detail", TreeDetail.as_view(), name="tree_detail"),
    # TreeGite views
    path("tree/<int:pk>/treegite/add", TreeGiteCreate.as_view(), name="treegite_create"),
    path("treegite/<int:pk>/update", TreeGiteUpdate.as_view(), name="treegite_update"),
    path("treegite/<int:pk>/delete", TreeGiteDelete.as_view(), name="treegite_delete"),
    # Cave views
    path("place/<int:pk>/cave/add", CaveCreate.as_view(), name="cave_create"),
    path("cave/<int:pk>/update", CaveUpdate.as_view(), name="cave_update"),
    path("cave/<int:pk>/delete", CaveDelete.as_view(), name="cave_delete"),
    # Bridge views
    path("place/<int:pk>/bridge/add", BridgeCreate.as_view(), name="bridge_create"),
    path("bridge/<int:pk>/update", BridgeUpdate.as_view(), name="bridge_update"),
    path("bridge/<int:pk>/delete", BridgeDelete.as_view(), name="bridge_delete"),
    path("api/v1/place/search", GeoJSONPlaces.as_view(), name="place_search_api"),
    path(
        "api/v1/place/bbox/search/bbox",
        GeoJSONBBoxFilteredPlaces.as_view(),
        name="place_bbox_search_api",
    ),
]

sights/session/urls.py
from django.urls import path

from sights.session.views import (
    DeviceCreate,
    DeviceDelete,
    DeviceUpdate,
    SessionChangePlaceUpdate,
    SessionCreate,
    SessionDelete,
    SessionDetail,
    SessionLinkCreate,
    SessionLinkDelete,
    SessionLinkUpdate,
    SessionUpdate,
)

urlpatterns = [
    # Session relative URLS
    path(
        "place/<int:pk>/session/add",
        SessionCreate.as_view(),
        name="session_create",
    ),
    path(
        "session/<int:pk>/detail",
        SessionDetail.as_view(),
        name="session_detail",
    ),
    path(
        "session/<int:pk>/update",
        SessionUpdate.as_view(),
        name="session_update",
    ),
    path(
        "session/<int:pk>/change_place",
        SessionChangePlaceUpdate.as_view(),
        name="sessionchangeplace_update",
    ),
    path(
        "session/<int:pk>/delete",
        SessionDelete.as_view(),
        name="session_delete",
    ),
    # Device relative URLS
    path(
        "session/<int:pk>/device/add",
        DeviceCreate.as_view(),
        name="device_create",
    ),
    path("device/<int:pk>/update", DeviceUpdate.as_view(), name="device_update"),
    path("device/<int:pk>/delete", DeviceDelete.as_view(), name="device_delete"),
    path(
        "session/<int:pk>/link/add",
        SessionLinkCreate.as_view(),
        name="sessionlink_create",
    ),
    path("sessionlink/<int:pk>/update", SessionLinkUpdate.as_view(), name="sessionlink_update"),
    path("sessionlink/<int:pk>/delete", SessionLinkDelete.as_view(), name="sessionlink_delete"),
]

sights/urls.py
from django.urls import include, path

from sights.countdetail import urls as countdetail_urls
from sights.metaplace import urls as metaplace_urls
from sights.observation import urls as observation_urls
from sights.observation.views import SightingMyList, SightingUserList
from sights.place import urls as place_urls
from sights.place.views import PlaceMyList
from sights.session import urls as session_urls
from sights.session.views import SessionMyList

app_name = "sights"

urlpatterns = [
    path("user/place/list", PlaceMyList.as_view(), name="place_mylist"),
    path("user/session/list", SessionMyList.as_view(), name="session_mylist"),
    path("user/sighting/list", SightingMyList.as_view(), name="sighting_mylist"),
    path(
        "user/<int:pk>/sighting/list",
        SightingUserList.as_view(),
        name="user_sighting_list",
    ),
    path("", include(metaplace_urls)),
    path("", include(place_urls)),
    path("", include(session_urls)),
    path("", include(observation_urls)),
    path("", include(countdetail_urls)),
]

sights/templates/session_detail.html
{% extends 'base_fullwidth_leaflet.html' %}
{% load render_table from django_tables2 %}
{% load i18n %}
{% load static %}
{% block title %}Session {{ title | safe }}{% endblock %}
{% block content %}
<h1><i class="{{ icon | safe }}"></i> {{ title | safe }}</h1>
<p>
  <small>Session créée par <b>{{ object.created_by }}</b> le <b>{{ object.timestamp_create }}</b>
    {% if object.updated_by %}et
    mise à jour le <b>{{ object.timestamp_update }}</b> par <b>{{ object.updated_by }}</b>
  </small>{% endif %}
  | <a href="{% url 'sights:session_detail' pk=object.place.pk  %}">localité</a> (<span
    class="text-muted">{{object.place.name}}</span>)
</p>
<div class="row">
  <div class="col-md-12 col-lg-5">
    <div class="panel panel-primary">
      <div class="panel-heading">
        <div class="pull-right btn-group">
          <a href="{% url 'sights:session_update' pk=object.pk %}" class="btn btn-default btn-xs"><i
              class="fa fa-edit fa-fw"></i><span class="hidden-xs"> Modifier</span></a>
          <a href="{% url 'sights:session_delete' pk=object.pk %}" class="btn btn-danger btn-xs"><i
              class="fa fa-trash fa-fw"></i><span class="hidden-xs"> Supprimer</span></a>
          <a href="{% url 'sights:place_detail' pk=object.place_id %}" class="btn btn-info btn-xs"><i
              class="fa fa-chevron-left fa-fw"></i><span class="hidden-xs"> Localité</span></a>
        </div>
        <h4 class="panel-title"><i class="fa fa-info-circle fa-fw"></i> Informations sur la session</h4>
      </div>
      <div role="tabpanel">
        <ul id="myTab" class="nav nav-tabs">
          <li role="navigation" class="active"><a class="tab" href="#mainInfo" aria-controls="maininfo" role="tab"
              data-toggle="tab">Informations
              principales</a>
          </li>
          <li role="navigation"><a href="#otherInfo" aria-controls="otherinfo" role="tab" data-toggle="tab">Autres
              infos</a>
          </li>
        </ul>
        <div class="tab-content">
          {#                <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel"#}
          {#                     aria-labelledby="headingOne">#}
          <div role="tabpanel" class="tab-pane active" id="mainInfo">
            <div class="container-fluid">
              <div class="row">
                <div class="col-lg-12">
                  <fieldset>
                    <legend>Caractéristiques principales</legend>
                    <div class="row">
                      <div class="col-lg-12">
                        <label>Localité</label>
                        <div class="well well-sm"><a
                            href="{% url 'sights:session_detail' pk=object.place.pk  %}">{{ object.place }}</a>
                          <a href="{% url 'sights:sessionchangeplace_update' pk=object.pk %}"
                            class="btn btn-xs btn-warning pull-right"><i class="fa fa-fw fa-edit"></i><span
                              class="hidden-xs"> Changer</span></a>
                        </div>
                      </div>
                      <div class="col-xs-12 col-sm-6">
                        <label>Nom de la session</label>
                        <div class="well well-sm">{{ object.name }}</div>
                      </div>
                      <div class="col-xs-12 col-sm-6">
                        <label>Type de contact</label>
                        <div class="well well-sm">{{ object.contact }}</div>
                      </div>
                      <div class="col-xs-12 col-sm-12 col-md-6">
                        <label>Observateur principal</label>
                        <div class="well well-sm">
                          <b>{{ object.main_observer.get_full_name|default:'Non renseigné ou utilisateur supprimé' }}</b>
                          ({{ object.main_observer.username|default:'-' }})
                        </div>
                      </div>
                      <div class="col-xs-12 col-sm-12 col-md-6">
                        <label>Autres observateurs <span
                            class="badge">{{ object.other_observer.all.count }}</span></label>
                        <div class="well well-sm">
                          {% if object.other_observer.all.count > 0 %}
                          {% for o in object.other_observer.all %}
                          <b>{{ o.get_full_name }}</b> ({{ o.username }})
                          <br />
                          {% endfor %}
                          {% else %}
                          Aucun
                          {% endif %}
                        </div>
                      </div>
                      <div class="col-xs-12 col-sm-12 col-md-6">
                        <label>Début</label>
                        <div class="well well-sm">
                          {{ object.date_start }}
                          {% if object.time_start %}{{ object.time_start }}{% endif %}
                        </div>
                      </div>
                      <div class="col-xs-12 col-sm-12 col-md-6">
                        <label>Fin</label>
                        <div class="well well-sm">
                          {% if object.date_end or object.time_end %}
                          {% if object.date_end %}{{ object.date_end }}{% endif %}
                          {% if object.time_end %}{{ object.time_end }}{% endif %}
                          {% else %}
                          -
                          {% endif %}
                        </div>
                      </div>
                      <div class="col-lg-12">
                        <label>Étude</label>
                        <div class="well well-sm">
                          {% if object.study %}
                          {% if object.study.project_manager == user  %}
                          <a href="{% url 'management:url_study_detail' pk=object.study.pk %}"
                            target="_blank">{{ object.study }}</a>
                          {% else %}
                          {{ object.study }}
                          {% endif %}
                          {% else %}
                          Session non-attribuée à une étude
                          {% endif %}
                        </div>
                      </div>
                      <div class="col-lg-12">
                        <label>Liens</label> <a href="{% url 'sights:sessionlink_create' pk=object.pk %}"
                          class="btn btn-xs btn-primary pull-right"><i class="fa fa-fw fa-plus"></i><span
                            class="hidden-xs"> Ajouter</span></a>
                        <div class="well well-sm">
                          {% if object.session_link_related.count > 0%}
                          {% for link in object.session_link_related.all %}
                          <div class="btn-group btn-group-xs">
                            <a class="text-info" href="{% url 'sights:sessionlink_update' pk=link.pk %}"
                              title="Editer"><i class="fa fa-fw fa-edit"></i></a>
                            <a class="text-danger" href="{% url 'sights:sessionlink_delete' pk=link.pk %}"
                              title="Modifier" target="_blank"><i class="fa fa-fw fa-trash"></i></a>
                          </div>
                          <strong>{{link.type_link}}</strong>&nbsp;:&nbsp;<a href="{{link.link}}" target="_blank"
                            data-toggle="tooltip" title="{{link.comment}}">{{link.link}}</a><br>
                          {% endfor %}
                          {% else %} - {% endif %}
                        </div>
                      </div>
                      {% if object.is_confidential %}
                      <div class="col-lg-12">
                        <div class="alert alert-danger" role="alert">
                          <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                          {% trans "les données de cette session sont confidentielles" %}
                        </div>
                      </div>
                      {% endif %}
                    </div>
                  </fieldset>
                </div>
              </div>
            </div>
          </div>
          <div role="tabpanel" class="tab-pane" id="otherInfo">
            <div class="container-fluid">
              <div class="row">
                <div class="col-lg-12">
                  {% if object.data_file or object.bdsource or object.comment %}
                  {% if object.data_file %}
                  <fieldset>
                    <legend>Fichiers</legend>
                    <div class="row">
                      <div class="col-lg-12">
                        <label>Fichiers relatifs à la session</label>
                        <div class="well well-sm"><a href="{% get_media_prefix %}/{{ object.data_file }}"
                            target='_blank'> {{ object.data_filename }}</a></div>
                      </div>
                    </div>
                  </fieldset>
                  {% endif %}
                  {% if object.bdsource %}
                  <fieldset>
                    <legend>BD Source</legend>
                    <div class="row">
                      <div class="col-md-6 col-xs-12">
                        <label>Source de la localité</label>
                        <div class="well well-sm">{{ object.bdsource }}</div>
                      </div>
                      <div class="col-md-6 col-xs-12">
                        <label>Identifiant de la localité dans la base de donnée
                          source</label>
                        <div class="well well-sm">{{ object.id_bdsource }}</div>
                      </div>
                    </div>
                  </fieldset>
                  {% endif %}
                  {% if object.comment %}
                  </fieldset>
                  <legend>Commentaire</legend>
                  <div class="row">
                    <div class="col-lg-12">
                      <div class="well well-sm">{{ object.comment|safe }}</div>
                    </div>
                  </div>
                  <fieldset>
                    {% endif %}
                    {% else %}
                    {% trans "Aucune" %}
                    {% endif %}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


  {% comment %}


  DONNEES ATTRIBUEES A LA SESSION


  {% endcomment %}
  <div class="col-md-12 col-lg-7">
    {% comment %}

    BLOC1: Espèces observées

    {% endcomment %}
    <div id="accordion" class="panel-group">
      {% comment %}

      BLOC1: Sessions d'inventaires

      {% endcomment %}
      <div class="panel panel-default panel-info panel-table">
        <!-- Default panel contents -->
        <div class="panel-heading">
          <div class="pull-right btn-group btn-group-xs">
            {% if sightingcount > 0 %}
            <a class="btn btn-default" data-toggle="collapse" data-parent="#accordion" href="#collapseSighting"
              title="voir/cacher la liste"><span class="caret"></span></a>
            {% endif %}
            <a href="{% url 'sights:sighting_edit_form' pk=object.pk %}" class="pull-right btn btn-primary btn-xs"><i
                class="fi-plus"></i><span class="hidden-xs"> Éditer</span></a>
          </div>
          <h4><i class="{{ sightingicon  | safe }}"></i> {{ sightingtitle | safe }}</a>
            {% if sightingcount > 0 %}
            <a data-toggle="collapse" data-parent="#accordion" href="#collapseSighting"
              title="voir/cacher la liste"><span class="badge">{{ sightingcount }}</span></a>
            {% else %}
            <span class="badge">{{ sightingcount }}</span>
            {% endif %}
          </h4>
        </div>

        <!-- Table -->
        {% if sightingcount > 0 %}
        <div id="collapseSighting" class="panel-body">
          {% render_table sightingtable %}
        </div>
        {% endif %}
      </div>
      {% comment %}

      BLOC2: Dispositifs d'échantillonages

      {% endcomment %}
      <div class="panel panel-default panel-info panel-table">
        <!-- Default panel contents -->
        <div class="panel-heading">
          <div class="pull-right btn-group btn-group-xs">
            {% if devicecount > 0 %}
            <a class="btn btn-default" data-toggle="collapse" data-parent="#accordion" href="#collapseDevice"
              title="voir/cacher la liste"><span class="caret"></span></a>
            {% endif %}
            <a href="{% url 'sights:device_create' pk=object.pk %}" class="pull-right btn btn-primary btn-xs"><i
                class="fi-plus"></i><span class="hidden-xs"> Ajouter</span></a>
          </div>
          <h4><i class="{{ deviceicon  | safe }}"></i> {{ devicetitle | safe }}</a>
            {% if devicecount > 0 %}
            <a data-toggle="collapse" data-parent="#accordion" href="#collapseDevice" title="voir/cacher la liste"><span
                class="badge">{{ devicecount }}</span></a>
            {% else %}
            <span class="badge">{{ devicecount }}</span>
            {% endif %}

          </h4>
        </div>
        <!-- Table -->
        {% if devicecount > 0 %}
        <div id="collapseDevice" class="panel-body">
          {% render_table devicetable %}
        </div>
        {% endif %}
      </div>
    </div>
  </div>
</div>
{% endblock %}